Bug 520565 - Review Request: perl-MooseX-Traits-Pluggable - A pluggable extension to MooseX::Traits
Summary: Review Request: perl-MooseX-Traits-Pluggable - A pluggable extension to Moose...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/MooseX-Tr...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-01 07:10 UTC by Chris Weyl
Modified: 2010-09-02 21:25 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-04 03:48:34 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Chris Weyl 2009-09-01 07:10:36 UTC
Spec URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Traits-Pluggable.spec
SRPM URL: http://fedorapeople.org/~cweyl/review/perl-MooseX-Traits-Pluggable-0.08-1.fc11.src.rpm

Description:
This module adds support for class precedence search for traits and some
extra attributes, described below.

See the MooseX::Traits manpage for more information.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1647316

Additional Comment:

This package is a BR of a new BR (CatalystX::Component::Traits) of the latest Catalyst::Model::DBIC::Schema.

*rt-0.10

Comment 1 Parag AN(पराग) 2009-09-02 06:39:09 UTC
Review:
+ package builds in mock (rawhide i686).
koji Build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=1647316
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
cf15e45f8018e929848f0b95b7e1a70acc80cb74  MooseX-Traits-Pluggable-0.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test gave
All tests successful.
Files=3, Tests=89,  1 wallclock secs ( 0.04 usr  0.01 sys +  0.76 cusr  0.04 csys =  0.85 CPU)
+ Package perl-MooseX-Traits-Pluggable-0.08-1.fc12.noarch =>
   Provides: perl(MooseX::Traits::Pluggable) = 0.08
   Requires: perl(Carp) perl(List::MoreUtils) perl(Moose::Role) perl(Moose::Util) perl(namespace::autoclean) perl(Scalar::Util) rpmlib(VersionedDependencies) <= 3.0.3-1
+ Not a GUI application

APPROVED.

Comment 2 Chris Weyl 2009-09-02 06:48:21 UTC
New Package CVS Request
=======================
Package Name: perl-MooseX-Traits-Pluggable
Short Description: A pluggable extension to MooseX::Traits
Owners: cweyl
Branches: F-10 F-11 devel
InitialCC: perl-sig

Comment 3 Kevin Fenzi 2009-09-04 02:19:03 UTC
cvs done.

Comment 4 Chris Weyl 2009-09-04 03:48:34 UTC
Thanks for the review! :-)

Comment 5 Iain Arnell 2010-09-02 14:32:51 UTC
Package Change Request
======================
Package Name: perl-MooseX-Traits-Pluggable
New Branches: el6
Owners: iarnell tremble

Comment 6 Kevin Fenzi 2010-09-02 21:25:29 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.